"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveExpressions = void 0;
const immer_1 = __importDefault(require("immer"));
const literate_elm_1 = require("literate-elm");
/**
 * Looks through outputExpressionsByFormat and replaces true (i.e. auto)
 * with a lists of symbols introduced in the code block.
 * Returns a new object if any changes.
 * @param derivatives
 * @param code
 */
const resolveExpressions = (derivatives, code) => {
    const introducedSymbols = (0, literate_elm_1.findIntroducedSymbols)(code);
    const introducedNames = introducedSymbols.map((s) => s.name);
    return (0, immer_1.default)(derivatives, (draft) => {
        draft.outputFormats.forEach((referenceFormat) => {
            if (referenceFormat !== "l" &&
                !draft.outputExpressionsByFormat[referenceFormat]) {
                draft.outputExpressionsByFormat[referenceFormat] = introducedNames;
            }
        });
    });
};
exports.resolveExpressions = resolveExpressions;
//# sourceMappingURL=resolveExpressions.js.map